package cn.com.tenlion.systembase.pojo.pos.school;

/**
 *
 * @ClassName: SchoolPO
 * @Description: 学校
 * @Author: CodeFactory
 * @Date: 2021-10-12 17:11:37
 * @Version: 3.0
 **/
public class SchoolPO {

    private String schoolId;
    private String schoolName;
    private String schoolAddress;
    private String runningType;
    private String runningTypeName;
    private String runningTypeCode;
    private String belongDept;
    private String belongDeptName;
    private String belongDeptCode;
    private Integer stuCount;
    private String principalName;
    private String principalPhone;
    private String defendName;
    private String defendPhone;
    private String safeName;
    private String safePhone;
    private String securityName;
    private String securityPhone;
    private Integer securityCount;
    private Double longitude;
    private Double latitude;

    public String getSchoolId() {
        return schoolId == null ? "" : schoolId.trim();
    }

    public void setSchoolId(String schoolId) {
        this.schoolId = schoolId;
    }

    public String getSchoolName() {
        return schoolName == null ? "" : schoolName.trim();
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getSchoolAddress() {
        return schoolAddress == null ? "" : schoolAddress.trim();
    }

    public void setSchoolAddress(String schoolAddress) {
        this.schoolAddress = schoolAddress;
    }

    public String getRunningType() {
        return runningType == null ? "" : runningType.trim();
    }

    public void setRunningType(String runningType) {
        this.runningType = runningType;
    }

    public String getRunningTypeName() {
        return runningTypeName == null ? "" : runningTypeName.trim();
    }

    public void setRunningTypeName(String runningTypeName) {
        this.runningTypeName = runningTypeName;
    }

    public String getRunningTypeCode() {
        return runningTypeCode == null ? "" : runningTypeCode.trim();
    }

    public void setRunningTypeCode(String runningTypeCode) {
        this.runningTypeCode = runningTypeCode;
    }

    public String getBelongDept() {
        return belongDept == null ? "" : belongDept.trim();
    }

    public void setBelongDept(String belongDept) {
        this.belongDept = belongDept;
    }

    public String getBelongDeptName() {
        return belongDeptName == null ? "" : belongDeptName.trim();
    }

    public void setBelongDeptName(String belongDeptName) {
        this.belongDeptName = belongDeptName;
    }

    public String getBelongDeptCode() {
        return belongDeptCode == null ? "" : belongDeptCode.trim();
    }

    public void setBelongDeptCode(String belongDeptCode) {
        this.belongDeptCode = belongDeptCode;
    }

    public Integer getStuCount() {
        return stuCount == null ? 0 : stuCount;
    }

    public void setStuCount(Integer stuCount) {
        this.stuCount = stuCount;
    }

    public String getPrincipalName() {
        return principalName == null ? "" : principalName.trim();
    }

    public void setPrincipalName(String principalName) {
        this.principalName = principalName;
    }

    public String getPrincipalPhone() {
        return principalPhone == null ? "" : principalPhone.trim();
    }

    public void setPrincipalPhone(String principalPhone) {
        this.principalPhone = principalPhone;
    }

    public String getDefendName() {
        return defendName == null ? "" : defendName.trim();
    }

    public void setDefendName(String defendName) {
        this.defendName = defendName;
    }

    public String getDefendPhone() {
        return defendPhone == null ? "" : defendPhone.trim();
    }

    public void setDefendPhone(String defendPhone) {
        this.defendPhone = defendPhone;
    }

    public String getSafeName() {
        return safeName;
    }

    public void setSafeName(String safeName) {
        this.safeName = safeName;
    }

    public String getSafePhone() {
        return safePhone;
    }

    public void setSafePhone(String safePhone) {
        this.safePhone = safePhone;
    }

    public String getSecurityName() {
        return securityName;
    }

    public void setSecurityName(String securityName) {
        this.securityName = securityName;
    }

    public String getSecurityPhone() {
        return securityPhone;
    }

    public void setSecurityPhone(String securityPhone) {
        this.securityPhone = securityPhone;
    }

    public Integer getSecurityCount() {
        return securityCount;
    }

    public void setSecurityCount(Integer securityCount) {
        this.securityCount = securityCount;
    }

    public Double getLongitude() {
        return longitude;
    }

    public void setLongitude(Double longitude) {
        this.longitude = longitude;
    }

    public Double getLatitude() {
        return latitude;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }
}
